                        ADS File Description
                        --------------------
Program Name: DFA 2.0          Registration Fee: US$ 20,- (and above)
      Author: Dirk Federlein
Files / Size: DFA-20.lha 648804 Bytes
Released    : 20-APR-94
=====================================================================

                              DFA V2.0

=====================================================================

Long Description:

DFA is the ultimate address utility for every AMIGA computer that runs
at  least Workbench 2.0. Native languages are supported as soon as one
has   installed  Workbench  2.1  and  above;  Workbench  3.0  will  be
supported, if is available.

DFA  is not like any other address tool. It is an ideal combination of
a  lot  of  features  and  an  easy  to  use  program. Inspite of this
combination it tries to use even less RAM than former versions of DFA

DFA  has  an  Arexx port that understands many commands. They give you
full  access  to  DFA  out of every other programm with an Arexx port.
Especially  import  and  export  of  addresses can be done very easily
using the Arexx port. Arexx scripts may be called directly out of DFA.
You may assign an Arexx script to every function key.

DFA  supports  up  to  three  email  addresses  - you can even call an
external  mail  editor  and  DFA gives the desired email address to it
(using Arexx).

DFA  can  dial the stored telefone numbers - even more than one number
per entry is possible.

DFA  can print the addresses using different formats: Long list, short
list, telephone list, address labels and address cards.

DFA's  windows  are  all  fully  font sensitive and the main window is
adjustable  via  the  sizing  gadget!  All  functions  can not only be
invoked by mouse but by keyboard also.

DFA  supports the locale library that is included in Workbench 2.1 and
above.  Supported  languages  are  Danish,  Dutch,  English,  Finnish,
French,  German,  Italian,  Swedish  up  to  now.  All  shortcuts  are
localized as well!

DFA  supports  some  new  "features" if running under OS 3.0 and above
("New Look" menus, scaled MX/Checkbox gadgets, nicer listview,...).

DFA supplies context sensitive online help, which gives you the proper
help text out of every DFA related window.

DFA  comes  along with comprehensive AMIGAGUIDE and TEX documentation;
both english and german

Registered  users  will  get  a  keyfile  that  enables  saving of the
DFA-Preferences, which is disabled in the public release.

DFA  should  be  installed  using  the  provided  install  script. The
installer program ((c) Commodore) is included!


                  Changes from DFA V1.2 to DFA V2.0
                  =================================

-  Extended  client  server  mechanism.  DFA  consists of a server, an
editor and a preferences program.

-  All  program  parts  that are used by more than one of the programs
mentioned  above  have  been  exported  into  a  shared  library,  the
'dfa.library'.

-  Every  address can get up to 8 group flags, which makes it possible
to select the addresses you want to get displayed.

-  The  Arexx port has been rewritten from scratch, using the Arexxbox
V1.12 by M. Balzer. Several new functions have been added and some of
the existing ones have been improved.

-  The main window is no longer closed and opened again, if you resize
it.  The layout calculation in this window has been optimized as well,
so it looks much better now.

-  The  buttons at the right side of the main window (V1.2x) have been
put  into  a toolbox, i.e. a separate small window. This window may be
closed.   All   these   functions   can  be  reached  via  menu  items
additionally.

-  The  listview  that displayes the address list can be configured in
several  ways:  You can not only tell DFA which fields you want to get
displayed,  but  you may even tell how much of the available space you
want  to  use  for  this field AND and in which of the up to 8 columns
this field has to be displayed

-  The  text  gadgets  near the buttom of the main window (V1.2x) have
been  replaced  with  a  listview,  called  the  panel  listview. This
solution is much more flexible than the text gadgets. You can not only
tell  DFA  which fields you want to see within the up to 16 lines, you
may even change the lines' title to fit your needs.

-  Two new fields have been added: c/o and state. Especially the state
field may be very useful in countries that either need this particular
information OR are used to place their ZIP/PC behind the city name.

-  Every  address  item now may have one external file attached to it!
This  may  be used to store additional information that would not have
enough space within the usual address fields.

-  The  search  function got improved funtionality: Now you may toggle
each field to be searched through.

-  The  dial  function  was rewritten from scratch and has much better
functionality  now: You may dial the active or all marked entries, you
may  use  programs  like  the  'getty'  at  the  same time, as DFA now
supports  the  'OwnDevUnit'  library,  The  dial  function got its own
window  (no  longer  a  simple  requester)  that  give  you  much more
information. You may set the number of retries and a redial delay. The
modem status as e.g. 'BUSY', 'NO DIALTOME', etc. is detected as well.

-  The  load and most of all the save routine have been rewritten from
scratch and are much faster now.

-  The  internal memory usage for the storage of address data has been
optimzed,  which  means  that  you  now  need  less  RAM to store your
addresses than in DFA V1.2x, in spite of the new address fields!

-  The  usage  of memory pools sped up some parts of DFA noticably and
decreases memory fragmentation.

-  DFA  is  able  to supply a simple network mechanism that makes sure
that several people that use the same address file within a LAN do not
overwrite each other's changes of the address file.

-  The  one  preferences window of DFA V1.2 was replaced by a separate
DFA preferences program (10 windows). This does not only mean that you
may  start  this  program  seperately (even if no other part of DFA is
running), but there are much more settings you may change:

  - Autosave behaviour
  - Icon generation can be toggled
  - The address listview (see above)
  - The panel listview (see above)
  - The groups' names and shortcuts
  - The  fonts, i.e. you  may either use the system's default fonts or
    select the fonts of your choice.
  - Additional  modem  settings,  incl. the possiblility to toggle the
    usage of the 'OwnDevUnit' library.
  - Important  path  and  file  names  used  by DFA: I.e. the  default
    address file, the directory for the external files as well as  the
    ASCII editor and the ASCII viewer used for the external files.
  - The arexx commands that are bound to the function keys.
  - The sorting. I.e. your address can be sorted by any field you wish
    now.

-  Last  but  not least the complete DFA distribution comes along with
8-color MagicWB icons by Martin 'XEN' Huttenloher.


This is version 2.0, a major upgrade to version 1.2.
Shareware, binary only.

============================================================================
      Required Dos: 2.0 or later
          Computer: All Amigas
               Ram: 1MB
Suggested Hardware: Hard drive
             Other: Supports Locale on WB 2.1 and better
============================================================================
           ADS Zone: Zone 2
     ADS Hatch Site: Christoph Reichert
       ADS Position: ADS Zone 2 Outbound Star, Region 24 Coordinator
           BBS Name: Publishers-Treff
    Phone Number(s): +49-6021-93435
    Network Address: FidoNet 2:244/6302
     Network Region: 24, Germany
          BBS Hours: 24hour
       BBS Software: RemoteAccess
  BBS Storage Space: 640Mb
  File Requestable :  <y> Y     < > N
File Request Hours : 7.00h - 23.00h GMT
_____________________________________________________________________________
         ADS format (c)Copyright 1990 - 1994  ADS International


